@echo off
rem *******************************************************************************
rem Licensed Materials - Property of IBM
rem (c) Copyright IBM Corporation 2008, 2015. All Rights Reserved.
rem 
rem Note to U.S. Government Users Restricted Rights:  
rem Use, duplication or disclosure restricted by GSA ADP Schedule 
rem Contract with IBM Corp. 
rem *******************************************************************************

setlocal

set START_DIR=%~dp0
set LIBERTY=false

rem Run in Liberty if it is installed, unless overridden by a command option
if exist "%START_DIR%"\liberty.server.bat (
    set LIBERTY=true
)

FOR %%A IN (%*) DO (
   if "%%A"=="-tomcat" (
      set LIBERTY=false
   )
)

rem Unset JAVA_HOME because we really want to use the JRE that is bundled.
rem Also, Tomcat will complain if JAVA_HOME is set to a JRE instead of a JDK
rem and that should be avoided
set JAVA_HOME=
set JRE_HOME=%START_DIR%\jre
set JAVA_OPTS=
if "%CATALINA_HOME%" == "" (
    set CATALINA_HOME=%START_DIR%\tomcat
)

if "%LIBERTY%" == "true" (
    call "%START_DIR%"\liberty.server.bat stop
) else (
    call "%CATALINA_HOME%"\bin\shutdown.bat
)

endlocal
